Bug 203062 - X11 fails on CRT
X11 fails on CRT
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-18 02:22 EDT by Jeff Fearn
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 16:48:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar zip of log and error files (9.54 KB, application/x-compressed-tar)
2006-08-18 02:22 EDT, Jeff Fearn
no flags Details
xorg log file (56.50 KB, text/plain)
2006-09-05 01:48 EDT, Jeff Fearn
no flags Details
Xorg log file (58.92 KB, text/plain)
2006-09-20 17:47 EDT, Jeff Fearn
no flags Details

  None (edit)
Description Jeff Fearn 2006-08-18 02:22:20 EDT
Description of problem:
X session always fails when using a CRT monitor.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-21.fc6

How reproducible:
Every time

Steps to Reproduce:
1. Plug in a CRT monitor
2. boot
3. Xorg -configure
4. X -config ~/xorg.conf.new
5. wait, it takes a while
  
Actual results:
eventually a garbage screen is displayed, you must switch to a virtual terminal
to continue

Expected results:
valid X session

Additional info:
Attached are STD err output of X, the xorg.conf.new and X11.0.log

If I reboot and connect an LCD everything works ok.

If I try and boot with dual monitors, one CRT & one LCD, the same garbage screen
occurs on the CRT and the LCD is ignored.

If you boot to init 5 the same failure happens, but it looks like the machine
has hung because you can't switch virtual terminals until after the corrupt
screen has come up, which can take some time.

NVidia 6600GT PCIe card on NVidia NForce 4 Pro motherboard with latest BIOS.

CRT is a Dell P1110 21". LCD is BENQ FP91G+

Machine is on the intranet, let me know if you need access.
Comment 1 Jeff Fearn 2006-08-18 02:22:20 EDT
Created attachment 134425 [details]
tar zip of log and error files
Comment 2 Adam Jackson 2006-08-18 11:03:21 EDT
The nv driver does not support dualhead.  What would you expect the correct
behaviour to be?
Comment 3 Jeff Fearn 2006-08-19 03:18:29 EDT
I'd expect it to ignore the second monitor and display correctly on whichever of
the monitors it considers to be the first one.
Comment 4 Jeff Fearn 2006-08-23 19:40:48 EDT
Just making  sure you understand that 90% of my first post addressed a single
monitor setup.

If I plug in a CRT, by its self, then X will fail. The only error message seems
to be about the monitor not being DRI capable. People who don't happen to have a
LCD handy will not beable to start a X session.
Comment 5 Jeff Fearn 2006-09-05 01:48:48 EDT
Created attachment 135526 [details]
xorg log file
Comment 6 Jeff Fearn 2006-09-05 01:54:41 EDT
Hi, just updated to latest FC6 and thought i'd retry my CRT. Good news is X now
stays alive, YAY!

Bad news it it seems to think my 21" Dell P1110 can only do 800x600 :(

If I go in to System->Administration->Display and hard set the monitor, on
restarting X it either ignores my changes or resets them to some default.

If I, rather foolishly, dare to plug-in both a CRT and a LCD it crashes X.
Comment 7 Adam Jackson 2006-09-07 21:29:32 EDT
Do you have X logs for either of the above cases? (800x600 limit or X crash)
Comment 8 Jeff Fearn 2006-09-20 17:47:55 EDT
Created attachment 136786 [details]
Xorg log file

Here is a log file for the X11 crash.

I have switched the BENQ LCD for a Dell 1907FP 19" LCD, native resolution is
1280x1024 The CRT is still the Dell P1110 21"
Comment 10 RHEL Product and Program Management 2007-05-01 11:33:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Adam Jackson 2007-05-30 17:46:03 EDT
Um, this is an FC6 bug, not a RHEL bug.
Comment 12 Matěj Cepl 2007-05-30 19:21:44 EDT
Reporter, could you confirm please, that this bug still could be reproduced with
the latest release of Fedora (FC6)?

If yes, please, attach to this bug your X server config file
(/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug
report as individual uncompressed file attachments using the bugzilla file
attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 13 Jeff Fearn 2007-06-20 09:13:34 EDT
Hi, I don't have a crt anymore and am running rhel5.

Cheers, Jeff.

Note You need to log in before you can comment on or make changes to this bug.